Video API, REST: StylePreset.Create
Creates a new style preset in the specified channel with the provided visual settings.
Style presets define the appearance of players, including colors, spacing, borders, and widgets.
HTTP request
POST https://video.api.cloud.yandex.net/video/v1/stylePresets
Body parameters
{
"channelId": "string",
"title": "string",
"backgroundColor": "string",
"widgetTextColorPrimary": "string",
"widgetTextColorSecondary": "string",
"widgetAccentColor": "string",
"widgetBlockGap": "string",
"widgetBlockSeparatorColor": "string",
"playerBorderRadius": "string",
"playerColor": "string",
"playlistSelectedItemBackgroundColor": "string",
"playlistItemBorderRadius": "string",
"playlistItemGap": "string",
"playlistLocation": "string",
"rightWidgets": [
{
// Includes only one of the fields `summarization`, `description`
"summarization": "object",
"description": "object"
// end of the list of possible fields
}
],
"bottomWidgets": [
{
// Includes only one of the fields `summarization`, `description`
"summarization": "object",
"description": "object"
// end of the list of possible fields
}
]
}
|
Field |
Description |
|
channelId |
string Required field. ID of the channel. The maximum string length in characters is 50. |
|
title |
string Required field. Style preset title. The maximum string length in characters is 50. |
|
backgroundColor |
string Required field. Background color. The maximum string length in characters is 50. Value must match the regular expression |
|
widgetTextColorPrimary |
string Required field. Widget primary text color. The maximum string length in characters is 50. Value must match the regular expression |
|
widgetTextColorSecondary |
string Required field. Widget secondary text color. The maximum string length in characters is 50. Value must match the regular expression |
|
widgetAccentColor |
string Required field. Widget accent color. The maximum string length in characters is 50. Value must match the regular expression |
|
widgetBlockGap |
string (int64) Gap between widget blocks. Acceptable values are 0 to 50, inclusive. |
|
widgetBlockSeparatorColor |
string Required field. Line color between widget blocks. The maximum string length in characters is 50. Value must match the regular expression |
|
playerBorderRadius |
string (int64) Player border radius. The minimum value is 0. |
|
playerColor |
string Required field. Player color. The maximum string length in characters is 50. Value must match the regular expression |
|
playlistSelectedItemBackgroundColor |
string Required field. Background color of selected video in playlist. The maximum string length in characters is 50. Value must match the regular expression |
|
playlistItemBorderRadius |
string (int64) Playlist item border radius. The minimum value is 0. |
|
playlistItemGap |
string (int64) Gap between videos in playlist. Acceptable values are 0 to 50, inclusive. |
|
playlistLocation |
enum (WidgetLocation) Required field. Playlist widget location.
|
|
rightWidgets[] |
List of widgets to display to the right of the player. |
|
bottomWidgets[] |
List of widgets to display below the player. |
Widget
Represents a UI component that displays additional content or functionality.
Widgets can be positioned in different locations around the player.
|
Field |
Description |
|
summarization |
object Widget that displays video content summarization. Includes only one of the fields Specifies the type of widget to display. |
|
description |
object Widget that displays detailed video description. Includes only one of the fields Specifies the type of widget to display. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |